%global srcname stun
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-%{srcname}
Version: 1.0.20
Release: 1%{?dist}

License: ASL 2.0
Summary: STUN and TURN library for Erlang / Elixir
URL:     https://github.com/processone/stun/
Source0: https://github.com/processone/stun/archive/%{version}/stun-%{version}.tar.gz

Provides:  erlang-p1_stun = %{version}-%{release}
Obsoletes: erlang-p1_stun < 1.0.1

BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-fast_tls >= 1.0.20
BuildRequires: erlang-p1_utils >= 1.0.10

Requires: erlang-fast_tls >= 1.0.20
Requires: erlang-p1_utils >= 1.0.10


%description
STUN and TURN library for Erlang / Elixir. Both STUN (Session Traversal
Utilities for NAT) and TURN standards are used as techniques to establish media
connection between peers for VoIP (for example using SIP or Jingle) and WebRTC.


%prep
%autosetup -n stun-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.20-1
- Update to 1.0.20 (#1515241).
- https://github.com/processone/stun/blob/1.0.20/CHANGELOG.md

* Fri Nov 10 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.15-1
- Update to 1.0.15 (#1434820).
- https://github.com/processone/stun/blob/1.0.15/CHANGELOG.md

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Mon Jul 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-1
- Update to 1.0.12 (#1434820).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
